org.apache.felix.ipojo.extender.internal.declaration

## Class DefaultExtensionDeclaration

- java.lang.Object
- - org.apache.felix.ipojo.extender.internal.AbstractService
  - - org.apache.felix.ipojo.extender.internal.declaration.AbstractDeclaration
    - - org.apache.felix.ipojo.extender.internal.declaration.DefaultExtensionDeclaration

All Implemented Interfaces:
  Declaration, DeclarationHandle, ExtensionDeclaration, Lifecycle, Status

    public class DefaultExtensionDeclaration
    extends AbstractDeclaration
    implements ExtensionDeclaration

Default implementation of the iPOJO Extension Declaration.

### Field Summary

### Fields inherited from class org.apache.felix.ipojo.extender.internal.declaration.AbstractDeclaration

`DECLARATION_BOUND_MESSAGE`

### Fields inherited from class org.apache.felix.ipojo.extender.internal.AbstractService

`m_bundleContext`

### Fields inherited from interface org.apache.felix.ipojo.extender.ExtensionDeclaration

`EXTENSION_NAME_PROPERTY`

### Constructor Summary

Constructors
Constructor and Description
`DefaultExtensionDeclaration(org.osgi.framework.BundleContext bundleContext, FactoryBuilder factoryBuilder, java.lang.String type)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getExtensionName()` Gets the extension name.
`FactoryBuilder` `getFactoryBuilder()` Gets the factory builder to use to create the factories bound to this extension.
`protected java.util.Dictionary<java.lang.String,?>` `getServiceProperties()`
`void` `start()` On start, registers the service.

### Methods inherited from class org.apache.felix.ipojo.extender.internal.declaration.AbstractDeclaration

`bind, getMessage, getStatus, getThrowable, isBound, publish, retract, unbind, unbind`

### Methods inherited from class org.apache.felix.ipojo.extender.internal.AbstractService

`getBundleContext, getRegistration, isRegistered, registerService, stop`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.felix.ipojo.extender.Declaration

`bind, getStatus, unbind, unbind`

### Constructor Detail

#### DefaultExtensionDeclaration

    public DefaultExtensionDeclaration(org.osgi.framework.BundleContext bundleContext,
                                       FactoryBuilder factoryBuilder,
                                       java.lang.String type)

### Method Detail

#### getFactoryBuilder

    public FactoryBuilder getFactoryBuilder()

Description copied from interface: `ExtensionDeclaration`
Gets the factory builder to use to create the factories bound to this extension.

Specified by:
  `getFactoryBuilder` in interface `ExtensionDeclaration`
Returns:
  the factory builder.

#### getExtensionName

    public java.lang.String getExtensionName()

Description copied from interface: `ExtensionDeclaration`
Gets the extension name. This name must be unique.

Specified by:
  `getExtensionName` in interface `ExtensionDeclaration`
Returns:
  the extension name.

#### start

    public void start()

Description copied from class: `AbstractService`
On start, registers the service.

Specified by:
  `start` in interface `Lifecycle`
Overrides:
  `start` in class `AbstractService`

#### getServiceProperties

    protected java.util.Dictionary<java.lang.String,?> getServiceProperties()

Overrides:
  `getServiceProperties` in class `AbstractService`
Returns:
  the service properties, null by default.